Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Thread_Pool Class Reference

Class representing the thread pool inside a thread pool manager. More...

`#include <Thread_Pool.h>`

Collaboration diagram for TAO_Thread_Pool:

[legend]
List of all members.

## Accessors
TAO_Thread_Pool_Manager & | manager (void) const
CORBA::ULong | id (void) const
CORBA::ULong | stack_size (void) const
CORBA::Boolean | allow_borrowing (void) const
CORBA::Boolean | allow_request_buffering (void) const
CORBA::ULong | max_buffered_requests (void) const
CORBA::ULong | max_request_buffer_size (void) const
TAO_Thread_Lane ** | lanes (void)
CORBA::ULong | number_of_lanes (void) const
## Public Methods
| TAO_Thread_Pool (TAO_Thread_Pool_Manager &manager, CORBA::ULong id, CORBA::ULong stack_size, CORBA::ULong static_threads, CORBA::ULong dynamic_threads, CORBA::Short default_priority, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL)
| Constructor (for pools without lanes). More...
| TAO_Thread_Pool (TAO_Thread_Pool_Manager &manager, CORBA::ULong id, CORBA::ULong stack_size, const RTCORBA::ThreadpoolLanes &lanes, CORBA::Boolean allow_borrowing, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL)
| Constructor (for pools with lanes). More...
| ~TAO_Thread_Pool (void)
| Destructor. More...
void | open (ACE_ENV_SINGLE_ARG_DECL)
| Open the pool. More...
void | finalize (void)
| Finalize the resources. More...
void | shutdown_reactor (void)
| Shutdown the reactor. More...
void | wait (void)
| Wait for threads to exit. More...
int | is_collocated (const TAO_MProfile &mprofile)
int | create_static_threads (void)
| Create the static threads - only called once. More...
int | with_lanes (void) const
| Check if this thread pool has (explicit) lanes. More...
## Private Attributes
TAO_Thread_Pool_Manager & | manager_
CORBA::ULong | id_
CORBA::ULong | stack_size_
CORBA::Boolean | allow_borrowing_
CORBA::Boolean | allow_request_buffering_
CORBA::ULong | max_buffered_requests_
CORBA::ULong | max_request_buffer_size_
TAO_Thread_Lane ** | lanes_
CORBA::ULong | number_of_lanes_
int | with_lanes_
## Friends
class | TAO_Thread_Lane

## Detailed Description

Class representing the thread pool inside a thread pool manager.

## Constructor & Destructor Documentation

TAO_Thread_Pool::TAO_Thread_Pool | ( | TAO_Thread_Pool_Manager & | manager,
|  | CORBA::ULong | id,
|  | CORBA::ULong | stack_size,
|  | CORBA::ULong | static_threads,
|  | CORBA::ULong | dynamic_threads,
|  | CORBA::Short | default_priority,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL
| ) |

| Constructor (for pools without lanes).

TAO_Thread_Pool::TAO_Thread_Pool | ( | TAO_Thread_Pool_Manager & | manager,
|  | CORBA::ULong | id,
|  | CORBA::ULong | stack_size,
|  | const RTCORBA::ThreadpoolLanes & | lanes,
|  | CORBA::Boolean | allow_borrowing,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL
| ) |

| Constructor (for pools with lanes).

TAO_Thread_Pool::~TAO_Thread_Pool | ( | void |  | ) |

| Destructor.

## Member Function Documentation

CORBA::Boolean TAO_Thread_Pool::allow_borrowing | ( | void |  | ) | const

CORBA::Boolean TAO_Thread_Pool::allow_request_buffering | ( | void |  | ) | const

int TAO_Thread_Pool::create_static_threads | ( | void |  | ) |

| Create the static threads - only called once.

void TAO_Thread_Pool::finalize | ( | void |  | ) |

| Finalize the resources.

CORBA::ULong TAO_Thread_Pool::id | ( | void |  | ) | const

int TAO_Thread_Pool::is_collocated | ( | const TAO_MProfile & | mprofile | ) |

TAO_Thread_Lane ** TAO_Thread_Pool::lanes | ( | void |  | ) |

TAO_Thread_Pool_Manager & TAO_Thread_Pool::manager | ( | void |  | ) | const

CORBA::ULong TAO_Thread_Pool::max_buffered_requests | ( | void |  | ) | const

CORBA::ULong TAO_Thread_Pool::max_request_buffer_size | ( | void |  | ) | const

CORBA::ULong TAO_Thread_Pool::number_of_lanes | ( | void |  | ) | const

void TAO_Thread_Pool::open | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Open the pool.

void TAO_Thread_Pool::shutdown_reactor | ( | void |  | ) |

| Shutdown the reactor.

CORBA::ULong TAO_Thread_Pool::stack_size | ( | void |  | ) | const

void TAO_Thread_Pool::wait | ( | void |  | ) |

| Wait for threads to exit.

int TAO_Thread_Pool::with_lanes | ( | void |  | ) | const

| Check if this thread pool has (explicit) lanes.

## Friends And Related Function Documentation

friend class TAO_Thread_Lane`[friend]`

## Member Data Documentation

CORBA::Boolean TAO_Thread_Pool::allow_borrowing_`[private]`

CORBA::Boolean TAO_Thread_Pool::allow_request_buffering_`[private]`

CORBA::ULong TAO_Thread_Pool::id_`[private]`

TAO_Thread_Lane** TAO_Thread_Pool::lanes_`[private]`

TAO_Thread_Pool_Manager& TAO_Thread_Pool::manager_`[private]`

CORBA::ULong TAO_Thread_Pool::max_buffered_requests_`[private]`

CORBA::ULong TAO_Thread_Pool::max_request_buffer_size_`[private]`

CORBA::ULong TAO_Thread_Pool::number_of_lanes_`[private]`

CORBA::ULong TAO_Thread_Pool::stack_size_`[private]`

int TAO_Thread_Pool::with_lanes_`[private]`

The documentation for this class was generated from the following files:

- Thread_Pool.h
- Thread_Pool.cpp